Bug 26353 - useradd/adduser doesn't read group id from /etc/default/useradd properly
Summary: useradd/adduser doesn't read group id from /etc/default/useradd properly
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-06 20:12 UTC by Bruce Garlock
Modified: 2007-04-18 16:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-11 11:06:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bruce Garlock 2001-02-06 20:12:31 UTC
I have modified my /etc/default/useradd file to change the shell, and gid when adding users.  The shell is changed in /etc/passwd when adding a 
user, but the gid always stays the same as the uid.  I have changed GROUP=700 in /etc/default/useradd, and it always takes the uid when 
adding a user.  Am I missing something else here, or is this a bug?

Comment 1 Need Real Name 2001-11-14 03:23:43 UTC
This bug is back for the shadow-utils distributed with redhat 7.2.

Comment 2 Dan Pritts 2002-09-13 22:14:16 UTC
what are the odds of actually FIXING this bug?  It shows up in 7.3. 

the uid = gid behavior isn't even mentioned in theman page, suggesting that this
is a redhat addition to the code.  I suppose this is a nice feature to have but
i don't want to be forced down this road...

Comment 3 Kristofer Danner 2003-10-14 19:34:56 UTC
This is present in 9.0 also, is this ever going to get fixed?

Comment 4 Peter Vrabec 2005-04-11 11:06:21 UTC
GROUP=xxx in /etc/default/useradd:
- useradd creates user with xxx as initial group
- group xxx must exist before u invoke useradd
- use useradd with -n option, otherwise it will create new group for user(Red
Hat    Linux specific behavior). Looking for new gid starts at GID_MIN specified
/etc/login.defs


Note You need to log in before you can comment on or make changes to this bug.